BatchGetFindings - AWS Security Agent

BatchGetFindings

Retrieves information about one or more security findings in an agent space.

Request Syntax

POST /BatchGetFindings HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "findingIds": [ "string" ] }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The unique identifier of the agent space that contains the findings.

Type: String

Required: Yes

findingIds

The list of finding identifiers to retrieve.

Type: Array of strings

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "findings": [ { "agentSpaceId": "string", "attackScript": "string", "codeRemediationTask": { "status": "string", "statusReason": "string", "taskDetails": [ { "codeDiffLink": "string", "pullRequestLink": "string", "repoName": "string" } ] }, "confidence": "string", "createdAt": "string", "description": "string", "findingId": "string", "lastUpdatedBy": "string", "name": "string", "pentestId": "string", "pentestJobId": "string", "reasoning": "string", "riskLevel": "string", "riskScore": "string", "riskType": "string", "status": "string", "taskId": "string", "updatedAt": "string" } ], "notFound": [ "string" ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

findings

The list of findings that were found.

Type: Array of Finding objects

notFound

The list of finding identifiers that were not found.

Type: Array of strings

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: